Đến nội dung


Hình ảnh
- - - - -

[Tư vấn] Entmod đối với điểm chèn của đối tượng Text


  • Please log in to reply
23 replies to this topic

#21 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 29 August 2014 - 09:58 AM

@thanhduan2407 : 

sorry, do anh chỉ check trên bản vẽ 3D (Z=0).

 

Không hiểu k/quả mong muốn của em là gì ?

Kết quả mong muốn của em là các điểm chuẩn của TEXT nằm trên đường LINE và PLINE. 2D hay 3D cũng được anh ạ. Em dùng lisp convert Text 3D để đưa cao độ về đúng với nội dung Text.

Cảm ơn anh Gia_Bach và bác Hạ nhiều.


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#22 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 29 August 2014 - 10:40 AM

Nhờ các hàm của các bác mà em đã hoàn thiện LISP CONVERT TEXT 3D rồi ạ.

(defun C:CVT3D(/ ss0 ss ss1 ss2 item Caodo Pn)
(vl-load-com)
(setq ss (ssget (list (cons 0  "TEXT"))))
(setq ss1 (ChonTextSo ss))
(setq ss2 (acet-ss-to-list ss1))
(foreach item ss2
	(setq temp (entget item))
	(setq Caodo (cdr (assoc 1 temp)))
  	(setq e (vlax-ename->vla-object item))
  	(setq P1 (vlax-get e 'InsertionPoint))
	(setq Pnt (list (car P1) (cadr P1) (atof Caodo)))
  	(vla-move (vlax-ename->vla-object item) (vlax-3d-point P1) (vlax-3d-point Pnt))
)
(princ)
)

(defun ChonTextSo (ss / ss i ent str ss1) 
    (progn
      (setq i	0
	    ss1	(ssadd)
      )
      (repeat (sslength ss)
	(setq ent (ssname ss i)
	      str (cdr(assoc 1 (entget ent)))
	      i	  (+ 1 i)
	)
	(if (distof str 2)
	  (ssadd ent ss1)
	)
      )
      (if (> (sslength ss1) 0)
	ss1
      )      
    )
)

  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#23 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 01 September 2014 - 12:44 PM

Chontextso thì bạn tham khảo cái này nhé

http://www.cadviet.c...nguyen-so-thuc/


  • 0

#24 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 992 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 01 September 2014 - 02:21 PM

Cảm ơn bác Tien2005


  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn